Bug 8867 - libsmbclient and libwbclient have different symbol versions
libsmbclient and libwbclient have different symbol versions
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0 alpha 18
All All
: P5 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-04-16 12:25 UTC by Andreas Schneider
Modified: 2012-05-15 13:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2012-04-16 12:25:10 UTC
I've tried to not package libsmbclient and libwbclient so that they don't conflict with installed version from Samba3. If you have Gnome or KDE then half of the system depends on libsmbclient or libwbclient.

This does not work as waf uses symbol versions and autoconf doesn't. There is no change in the so version number.

This needs to be fixed. I dunno if you want to increase the so version number or disable it for libsmbclient or libwbclient.
Comment 1 Andreas Schneider 2012-04-16 12:56:46 UTC
I think the right thing would be to be able to build with system libsmbclient and libwbclient like tdb, talloc, ...
Comment 2 Andreas Schneider 2012-04-17 08:35:34 UTC
I'm working on support to use system libsmbclient and libwbclient.


https://git.samba.org/?p=asn/samba.git;a=shortlog;h=refs/heads/s3-waf
Comment 3 Andreas Schneider 2012-04-17 13:46:11 UTC
We have support to build against system libsmbclient and libwbclient now. This fixes packaging issues in distributions which ship Samba3 and Samba4 at the same time. This can be removed as soon as there is only Samba4.
Comment 4 Andreas Schneider 2012-05-15 13:43:47 UTC
This has been sorted out by Andrew and me. Closing as fixed.